# Visualization
TKV3d
Select3D

# Select3D_SensitivePoly Class Reference

Sensitive Entity to make a face selectable.
.

`#include <Select3D_SensitivePoly.hxx>`

Inheritance diagram for Select3D_SensitivePoly:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Project (const Select3D_Projector &aProjector)
| projection of the sensitive primitive in order to get 2D boxes for the Sort Algorithm
Standard_EXPORT void | Areas (SelectBasics_ListOfBox2d &boxes)
| stores in <boxes> the 2D Boxes which represent the sensitive face in the selection algorithm.
void | Points3D (Handle(TColgp_HArray1OfPnt)&theHArrayOfPnt)
| Returns the 3D points of the array used at construction time. .
void | Points2D (TColgp_Array1OfPnt2d &theArrayOfPnt2d)
| Returns the 2D points of the array used at construction time. .
Standard_EXPORT void | Destroy ()
| ~Select3D_SensitivePoly ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Select3D_SensitivePoly (const Handle(SelectBasics_EntityOwner)&OwnerId, const TColgp_Array1OfPnt &ThePoints)
| Constructs a sensitive face object defined by the owner OwnerId, the array of points ThePoints, and the sensitivity type Sensitivity. The array of points is the outer polygon of the geometric face. .
Standard_EXPORT | Select3D_SensitivePoly (const Handle(SelectBasics_EntityOwner)&OwnerId, const Handle(TColgp_HArray1OfPnt)&ThePoints)
| Constructs a sensitive face object defined by the owner OwnerId, the array of points ThePoints, and the sensitivity type Sensitivity. The array of points is the outer polygon of the geometric face. .
Standard_EXPORT | Select3D_SensitivePoly (const Handle(SelectBasics_EntityOwner)&OwnerId, const Standard_Integer NbOfPoints=6)
| Constructs the sensitive circle object defined by the owner OwnerId, the circle Circle, the Boolean FilledCircle and the number of points NbOfPoints. .

## Protected Attributes

Standard_Address | mypolyg3d
Standard_Address | mypolyg2d
Select3D_Box2d | mybox2d
Standard_Integer | mynbpoints

## Constructor & Destructor Documentation

Select3D_SensitivePoly::~Select3D_SensitivePoly | ( |  | ) | `[inline]`

Standard_EXPORT Select3D_SensitivePoly::Select3D_SensitivePoly | ( | const Handle(SelectBasics_EntityOwner)& | OwnerId,
|  | const TColgp_Array1OfPnt & | ThePoints
| ) | `[protected]`

Standard_EXPORT Select3D_SensitivePoly::Select3D_SensitivePoly | ( | const Handle(SelectBasics_EntityOwner)& | OwnerId,
|  | const Handle(TColgp_HArray1OfPnt)& | ThePoints
| ) | `[protected]`

Standard_EXPORT Select3D_SensitivePoly::Select3D_SensitivePoly | ( | const Handle(SelectBasics_EntityOwner)& | OwnerId,
|  | const Standard_Integer | NbOfPoints = `6`
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void Select3D_SensitivePoly::Areas | ( | SelectBasics_ListOfBox2d & | boxes | ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

Standard_EXPORT void Select3D_SensitivePoly::Destroy | ( |  | ) |

Standard_EXPORT const Select3D_SensitivePoly::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Select3D_SensitiveEntity. Reimplemented in MeshVS_SensitiveFace, Select3D_SensitiveCircle, Select3D_SensitiveCurve, Select3D_SensitiveFace, and Select3D_SensitiveTriangle.

void Select3D_SensitivePoly::Points2D | ( | TColgp_Array1OfPnt2d & | theArrayOfPnt2d | ) | `[inline]`

void Select3D_SensitivePoly::Points3D | ( | Handle(TColgp_HArray1OfPnt)& | theHArrayOfPnt | ) | `[inline]`

virtual Standard_EXPORT void Select3D_SensitivePoly::Project | ( | const Select3D_Projector & | aProjector | ) | `[virtual]`

| Reimplemented from Select3D_SensitiveEntity. Reimplemented in MeshVS_SensitiveFace.

## Field Documentation

Select3D_Box2d Select3D_SensitivePoly::mybox2d `[protected]`

Standard_Integer Select3D_SensitivePoly::mynbpoints `[protected]`

Standard_Address Select3D_SensitivePoly::mypolyg2d `[protected]`

Standard_Address Select3D_SensitivePoly::mypolyg3d `[protected]`

The documentation for this class was generated from the following files:

- Select3D_SensitivePoly.hxx
- Select3D_SensitivePoly.lxx